function idunlink(wino)
%IDUNLINK Performs the unlinking of figure with no wino.

%	L. Ljung 9-27-94
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.5 $  $Date: 1995/05/11 14:07:19 $

global XIDplotw XIDmen
axs=get(XIDplotw(wino,1),'children');
ax1=findobj(axs,'flat','tag','axis1');
ax2=findobj(axs,'flat','tag','axis2','vis','on');
newf=figure;
if isempty(ax2)
   subplot(111)
else
  subplot(211)
end
k=1;
for ax=[ax1,ax2];
  if k==2,subplot(212),end
  axn=gca;
  set(axn,'xlim',get(ax,'xlim'),'ylim',get(ax,'ylim'),'box',get(ax,'box'),...
     'xscale',get(ax,'xscale'),'yscale',get(ax,'yscale'),...
     'aspectratio',get(ax,'aspectratio'),...
     'xgrid',get(ax,'xgrid'),'ygrid',get(ax,'ygrid'))
  xlo=get(ax,'xlabel');xln=get(axn,'xlabel');
  set(xln,'string',get(xlo,'string'),'vis',get(xlo,'vis'))
  xlo=get(ax,'ylabel');xln=get(axn,'ylabel');
  set(xln,'string',get(xlo,'string'),'vis',get(xlo,'vis'))
  xlo=get(ax,'title');xln=get(axn,'title');
  set(xln,'string',get(xlo,'string'),'vis',get(xlo,'vis'))
  lns=findobj(ax,'type','line','vis','on');
  for ln=lns(:)'
    line('xdata',get(ln,'xdata'),'ydata',get(ln,'ydata'),'color',...
      get(ln,'color'),'linestyle',get(ln,'linestyle'))
  end
  k=k+1;
end
